#!/bin/sh
# ldd-check-all.sh
# Purpose: list all dependencies, with application filename, in a given folder.
# Syntax: ldd-check-all.sh <folder>
# Example 1: ldd-check-all.sh .  # Example 2: ldd-check-all.sh /usr/bin/
# musher0, Nov. 18, 2013
####
cd "$@"
> /tmp/resultats+
LIN="~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "         'Non-Dynamic' Libraries for " >> /tmp/resultats+
echo "           Executables in $@" >> /tmp/resultats+
echo "       (For information purposes only)" >> /tmp/resultats+
echo "$LIN" >> /tmp/resultats+
ldd -d -r -v * | grep -v "dynamic" | grep -v gate >> /tmp/resultats+
sleep 1s
echo >> /tmp/resultats+
echo "$LIN" >> /tmp/resultats+
echo "    (Tentative summary; use with caution)" >> /tmp/resultats+
echo "$LIN" >> /tmp/resultats+
sleep 0.1s
urxvt -fn "xft:Liberation Mono:pixelsize=11:antialias=true:autohint=true" +sb -T "Libraries" -g 85x45 -tr -tint black -sh 39 -e less -C -b 1 -J -w -s -x 3 -z 72 -N -P "                        'Non-Dynamic' Libraries                             " -~  /tmp/resultats+
