#!/bin/ash
# ldd-check2.sh
# Purpose: list not found (missing) dependencies, 
# _______ without application filename, in a given folder.
# Syntax: ldd-check2.sh <directory>
# Example 1: ldd-check2.sh . # Example 2: ldd-check2.sh /usr/bin/
# musher0, Nov. 18, 2013
####
cd "$@"
> /tmp/resultats
LIN="~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
ldd -v * | grep "not found" >> /tmp/resultats
awk '{ sub(/^[ \t]+/, ""); print }' /tmp/resultats > /tmp/resultats2
sleep 0.1s
sort --output=/tmp/resultats3 /tmp/resultats2
sleep 0.2s
uniq /tmp/resultats3 > /tmp/resultats4
sleep 1s
rm /tmp/resultats
rm /tmp/resultats2
rm /tmp/resultats3
> /tmp/results
echo  "$LIN" >> /tmp/results
echo "       Missing libraries for" >> /tmp/results
echo "       Executables in $@" >> /tmp/results
echo "    (For information purposes only)" >> /tmp/results
echo "$LIN" >> /tmp/results
more /tmp/resultats4 >> /tmp/results
echo "$LIN" >> /tmp/results
echo "     (Tentative summary; use wisely.)" >> /tmp/results
echo "$LIN" >> /tmp/results
#
# visionner-avec-less.sh
urxvt +sb -T "Missing Libraries" -g 65x22 -tr -tint black -sh 39 -e less -C -b 1 -J -w -s -x 3 -z 72 -N -P "                   Missing Libraries                        " -~ /tmp/results &
#
rm /tmp/resultats4
# Don't forget to remove the /tmp/results file!
### 30 ###
